Package org.apache.jmeter.engine.util

# Class SimpleVariable

java.lang.Object
org.apache.jmeter.engine.util.SimpleVariable

public class SimpleVariable extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleVariable()`
  `SimpleVariable(String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `void`
  `setName(String name)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SimpleVariable

    public SimpleVariable(String name)

  - ### SimpleVariable

    public SimpleVariable()

- ## Method Details

  - ### getName

    public String getName()

  - ### setName

    public void setName(String name)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`
    See Also:
      - `Function.execute(org.apache.jmeter.samplers.SampleResult, org.apache.jmeter.samplers.Sampler)`